[ Identification | Description | Input parameters | Output parameters | Links ]

# The `PSD_monitor` Component

Position-sensitive monitor.

## Identification

- Author: Kim Lefmann
- Origin: Risoe
- Date: Feb 3, 1998
- Version: 1.20

## Description

    An (n times m) pixel PSD monitor. This component may also be used as a beam
    detector.

    Example: PSD_monitor(xmin=-0.1, xmax=0.1, ymin=-0.1, ymax=0.1,
                nx=90, ny=90, filename="Output.psd")

## Input parameters

Parameters in boldface are required; the others are optional.

Name | Unit | Description | Default
--- | --- | --- | ---
nx | 1 | Number of pixel columns | 90
ny | 1 | Number of pixel rows | 90
filename | text | Name of file in which to store the detector image |
xmin | m | Lower x bound of detector opening |
xmax | m | Upper x bound of detector opening |
ymin | m | Lower y bound of detector opening |
ymax | m | Upper y bound of detector opening |

## Output parameters

Name | Unit | Description | Default
--- | --- | --- | ---
PSD_N |  |  |
PSD_p |  |  |
PSD_p2 |  |  |

## Links

- Source code for `PSD_monitor.comp`.

[ Identification | Description | Input parameters | Output parameters | Links ]